io.milvus.param

## Class Constant

- java.lang.Object
- - io.milvus.param.Constant

    public class Constant
    extends java.lang.Object

Constant/static values for internal usage.

### Field Summary

Fields
`static java.lang.String` `ALL_OUTPUT_FIELDS`
`static java.lang.String` `ARRAY_MAX_CAPACITY`
`static java.lang.String` `BUCKET`
`static java.lang.String` `COLLECTION_REPLICA_NUMBER`
`static java.lang.String` `COLLECTION_RESOURCE_GROUPS`
`static java.lang.String` `DATABASE_REPLICA_NUMBER`
`static java.lang.String` `DATABASE_RESOURCE_GROUPS`
`static java.lang.String` `DEFAULT_INDEX_NAME`
`static int` `DEFAULT_SEARCH_EXTENSION_RATE`
`static java.lang.String` `DYNAMIC_FIELD_NAME`
`static java.lang.String` `EF`
`static java.lang.String` `FAILED_REASON`
`static java.lang.String` `GROUP_BY_FIELD`
`static java.lang.Long` `GUARANTEE_EVENTUALLY_TS`
`static java.lang.Long` `GUARANTEE_STRONG_TS`
`static java.lang.String` `IGNORE_GROWING`
`static java.lang.String` `IMPORT_COLLECTION`
`static java.lang.String` `IMPORT_FILES`
`static java.lang.String` `IMPORT_PARTITION`
`static java.lang.String` `IMPORT_PROGRESS`
`static java.lang.String` `INDEX_TYPE`
`static java.lang.String` `LIMIT`
`static java.lang.Long` `LIMIT_DEFAULT`
`static int` `MAX_BATCH_SIZE`
`static int` `MAX_FILTERED_IDS_COUNT_ITERATION`
`static int` `MAX_TRY_TIME`
`static java.lang.Long` `MAX_WAITING_FLUSHING_INTERVAL`
`static java.lang.Long` `MAX_WAITING_FLUSHING_TIMEOUT`
`static java.lang.Long` `MAX_WAITING_INDEX_INTERVAL`
`static java.lang.Long` `MAX_WAITING_LOADING_INTERVAL`
`static java.lang.Long` `MAX_WAITING_LOADING_TIMEOUT`
`static java.lang.String` `METRIC_TYPE`
`static java.lang.String` `MMAP_ENABLED`
`static int` `NO_CACHE_ID`
`static java.lang.String` `OFFSET`
`static java.lang.Long` `OFFSET_DEFAULT`
`static java.lang.String` `PARAMS`
`static java.lang.String` `PRIMARY_FIELD_NAME_DEFAULT`
`static java.lang.String` `RADIUS`
`static java.lang.String` `RANGE_FILTER`
`static java.lang.String` `ROUND_DECIMAL`
`static java.lang.String` `ROW_COUNT`
`static java.lang.String` `TOP_K`
`static java.lang.String` `TTL_SECONDS`
`static int` `UNLIMITED`
`static java.lang.String` `VARCHAR_MAX_LENGTH`
`static java.lang.String` `VECTOR_DIM`
`static java.lang.String` `VECTOR_FIELD`
`static java.lang.String` `VECTOR_FIELD_NAME_DEFAULT`
`static java.lang.String` `VECTOR_INDEX_NAME_DEFAULT`
`static java.lang.String` `VECTOR_TAG`

### Constructor Summary

Constructors
Constructor and Description
`Constant()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### VECTOR_TAG

    public static final java.lang.String VECTOR_TAG

See Also:
  Constant Field Values

#### VECTOR_FIELD

    public static final java.lang.String VECTOR_FIELD

See Also:
  Constant Field Values

#### VECTOR_DIM

    public static final java.lang.String VECTOR_DIM

See Also:
  Constant Field Values

#### VARCHAR_MAX_LENGTH

    public static final java.lang.String VARCHAR_MAX_LENGTH

See Also:
  Constant Field Values

#### ARRAY_MAX_CAPACITY

    public static final java.lang.String ARRAY_MAX_CAPACITY

See Also:
  Constant Field Values

#### TOP_K

    public static final java.lang.String TOP_K

See Also:
  Constant Field Values

#### IGNORE_GROWING

    public static final java.lang.String IGNORE_GROWING

See Also:
  Constant Field Values

#### GROUP_BY_FIELD

    public static final java.lang.String GROUP_BY_FIELD

See Also:
  Constant Field Values

#### INDEX_TYPE

    public static final java.lang.String INDEX_TYPE

See Also:
  Constant Field Values

#### METRIC_TYPE

    public static final java.lang.String METRIC_TYPE

See Also:
  Constant Field Values

#### ROUND_DECIMAL

    public static final java.lang.String ROUND_DECIMAL

See Also:
  Constant Field Values

#### PARAMS

    public static final java.lang.String PARAMS

See Also:
  Constant Field Values

#### ROW_COUNT

    public static final java.lang.String ROW_COUNT

See Also:
  Constant Field Values

#### BUCKET

    public static final java.lang.String BUCKET

See Also:
  Constant Field Values

#### FAILED_REASON

    public static final java.lang.String FAILED_REASON

See Also:
  Constant Field Values

#### IMPORT_FILES

    public static final java.lang.String IMPORT_FILES

See Also:
  Constant Field Values

#### IMPORT_COLLECTION

    public static final java.lang.String IMPORT_COLLECTION

See Also:
  Constant Field Values

#### IMPORT_PARTITION

    public static final java.lang.String IMPORT_PARTITION

See Also:
  Constant Field Values

#### IMPORT_PROGRESS

    public static final java.lang.String IMPORT_PROGRESS

See Also:
  Constant Field Values

#### DEFAULT_INDEX_NAME

    public static final java.lang.String DEFAULT_INDEX_NAME

See Also:
  Constant Field Values

#### OFFSET

    public static final java.lang.String OFFSET

See Also:
  Constant Field Values

#### LIMIT

    public static final java.lang.String LIMIT

See Also:
  Constant Field Values

#### DYNAMIC_FIELD_NAME

    public static final java.lang.String DYNAMIC_FIELD_NAME

See Also:
  Constant Field Values

#### TTL_SECONDS

    public static final java.lang.String TTL_SECONDS

See Also:
  Constant Field Values

#### MMAP_ENABLED

    public static final java.lang.String MMAP_ENABLED

See Also:
  Constant Field Values

#### DATABASE_REPLICA_NUMBER

    public static final java.lang.String DATABASE_REPLICA_NUMBER

See Also:
  Constant Field Values

#### DATABASE_RESOURCE_GROUPS

    public static final java.lang.String DATABASE_RESOURCE_GROUPS

See Also:
  Constant Field Values

#### COLLECTION_REPLICA_NUMBER

    public static final java.lang.String COLLECTION_REPLICA_NUMBER

See Also:
  Constant Field Values

#### COLLECTION_RESOURCE_GROUPS

    public static final java.lang.String COLLECTION_RESOURCE_GROUPS

See Also:
  Constant Field Values

#### MAX_WAITING_LOADING_INTERVAL

    public static final java.lang.Long MAX_WAITING_LOADING_INTERVAL

#### MAX_WAITING_LOADING_TIMEOUT

    public static final java.lang.Long MAX_WAITING_LOADING_TIMEOUT

#### MAX_WAITING_FLUSHING_INTERVAL

    public static final java.lang.Long MAX_WAITING_FLUSHING_INTERVAL

#### MAX_WAITING_FLUSHING_TIMEOUT

    public static final java.lang.Long MAX_WAITING_FLUSHING_TIMEOUT

#### MAX_WAITING_INDEX_INTERVAL

    public static final java.lang.Long MAX_WAITING_INDEX_INTERVAL

#### GUARANTEE_EVENTUALLY_TS

    public static final java.lang.Long GUARANTEE_EVENTUALLY_TS

#### GUARANTEE_STRONG_TS

    public static final java.lang.Long GUARANTEE_STRONG_TS

#### VECTOR_FIELD_NAME_DEFAULT

    public static final java.lang.String VECTOR_FIELD_NAME_DEFAULT

See Also:
  Constant Field Values

#### PRIMARY_FIELD_NAME_DEFAULT

    public static final java.lang.String PRIMARY_FIELD_NAME_DEFAULT

See Also:
  Constant Field Values

#### VECTOR_INDEX_NAME_DEFAULT

    public static final java.lang.String VECTOR_INDEX_NAME_DEFAULT

See Also:
  Constant Field Values

#### LIMIT_DEFAULT

    public static final java.lang.Long LIMIT_DEFAULT

#### OFFSET_DEFAULT

    public static final java.lang.Long OFFSET_DEFAULT

#### ALL_OUTPUT_FIELDS

    public static final java.lang.String ALL_OUTPUT_FIELDS

See Also:
  Constant Field Values

#### MAX_BATCH_SIZE

    public static final int MAX_BATCH_SIZE

See Also:
  Constant Field Values

#### NO_CACHE_ID

    public static final int NO_CACHE_ID

See Also:
  Constant Field Values

#### UNLIMITED

    public static final int UNLIMITED

See Also:
  Constant Field Values

#### DEFAULT_SEARCH_EXTENSION_RATE

    public static final int DEFAULT_SEARCH_EXTENSION_RATE

See Also:
  Constant Field Values

#### MAX_FILTERED_IDS_COUNT_ITERATION

    public static final int MAX_FILTERED_IDS_COUNT_ITERATION

See Also:
  Constant Field Values

#### MAX_TRY_TIME

    public static final int MAX_TRY_TIME

See Also:
  Constant Field Values

#### RADIUS

    public static final java.lang.String RADIUS

See Also:
  Constant Field Values

#### EF

    public static final java.lang.String EF

See Also:
  Constant Field Values

#### RANGE_FILTER

    public static final java.lang.String RANGE_FILTER

See Also:
  Constant Field Values

### Constructor Detail

#### Constant

    public Constant()